Loading...
Searching...
No Matches
ON_BinaryArchive Class Referenceabstract

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_archive.h>`

Inheritance diagram for ON_BinaryArchive:

## Public Types

enum | table_type { no_active_table = 0 , properties_table , settings_table , bitmap_table , texture_mapping_table , material_table , linetype_table , layer_table , light_table , object_table , group_table , font_table , dimstyle_table , hatchpattern_table , instance_definition_table , historyrecord_table , user_table }

## Public Member Functions

| ON_BinaryArchive (ON::archive_mode)
virtual | ~ON_BinaryArchive ()
virtual std::size_t | CurrentPosition () const =0
virtual bool | SeekFromCurrentPosition (int)=0
virtual bool | SeekFromStart (std::size_t)=0
virtual bool | AtEnd () const =0
bool | BigSeekFromStart (ON__UINT64 offset)
bool | BigSeekForward (ON__UINT64 offset)
bool | BigSeekBackward (ON__UINT64 offset)
bool | BigSeekFromCurrentPosition (ON__INT64 offset)
bool | ReadMode () const
bool | WriteMode () const
ON::endian | Endian () const
int | BadCRCCount () const
bool | ReadByte (std::size_t, void *)
bool | WriteByte (std::size_t, const void *)
ON__UINT64 | ReadBuffer (ON__UINT64 sizeof_buffer, void *buffer)
bool | EnableCRCCalculation (bool bEnable)
bool | ReadCompressedBufferSize (std::size_t *sizeof__outbuffer)
bool | ReadCompressedBuffer (std::size_t sizeof__outbuffer, void *outbuffer, int *bFailedCRC)
bool | WriteCompressedBuffer (std::size_t sizeof__inbuffer, const void *inbuffer)
bool | ReadBool (bool *)
bool | ReadChar (std::size_t, char *)
bool | ReadChar (std::size_t, unsigned char *)
bool | ReadChar (char *)
bool | ReadChar (unsigned char *)
bool | ReadShort (std::size_t, short *)
bool | ReadShort (std::size_t, unsigned short *)
bool | ReadShort (short *)
bool | ReadShort (unsigned short *)
bool | ReadInt (std::size_t, int *)
bool | ReadInt (std::size_t, unsigned int *)
bool | ReadInt (int *)
bool | ReadInt (unsigned int *)
bool | ReadBigInt (std::size_t, ON__INT64 *)
bool | ReadBigInt (std::size_t, ON__UINT64 *)
bool | ReadBigInt (ON__INT64 *)
bool | ReadBigInt (ON__UINT64 *)
bool | ReadLong (std::size_t, long *)
bool | ReadLong (std::size_t, unsigned long *)
bool | ReadLong (long *)
bool | ReadLong (unsigned long *)
bool | ReadSize (std::size_t *)
bool | ReadBigSize (std::size_t *)
bool | ReadBigTime (time_t *)
bool | ReadFloat (std::size_t, float *)
bool | ReadFloat (float *)
bool | ReadDouble (std::size_t, double *)
bool | ReadDouble (double *)
bool | ReadColor (ON_Color &)
bool | ReadPoint (ON_2dPoint &)
bool | ReadPoint (ON_3dPoint &)
bool | ReadPoint (ON_4dPoint &)
bool | ReadVector (ON_2dVector &)
bool | ReadVector (ON_3dVector &)
bool | ReadBoundingBox (ON_BoundingBox &)
bool | ReadXform (ON_Xform &)
bool | ReadPlaneEquation (ON_PlaneEquation &)
bool | ReadPlane (ON_Plane &)
bool | ReadLine (ON_Line &)
bool | ReadArc (ON_Arc &)
bool | ReadCircle (ON_Circle &)
bool | ReadInterval (ON_Interval &)
bool | ReadUuid (ON_UUID &)
bool | ReadDisplayMaterialRef (ON_DisplayMaterialRef &)
bool | ReadLinetypeSegment (ON_LinetypeSegment &)
bool | ReadTime (struct tm &)
ON_DEPRECATED bool | ReadStringSize (std::size_t *str_array_count)
bool | ReadStringUTF8ElementCount (std::size_t *string_utf8_element_count)
bool | ReadStringUTF16ElementCount (std::size_t *string_utf16_element_count)
bool | ReadString (std::size_t str_array_count, char *str_array)
bool | ReadString (std::size_t str_array_count, unsigned char *str_array)
bool | ReadString (std::size_t str_array_count, unsigned short *str_array)
bool | ReadString (ON_String &sUTF8)
bool | ReadString (ON_wString &s)
bool | ReadComponentIndex (ON_COMPONENT_INDEX &)
bool | ReadArray (ON_SimpleArray< bool > &)
bool | ReadArray (ON_SimpleArray< char > &)
bool | ReadArray (ON_SimpleArray< short > &)
bool | ReadArray (ON_SimpleArray< int > &)
bool | ReadArray (ON_SimpleArray< float > &)
bool | ReadArray (ON_SimpleArray< double > &)
bool | ReadArray (ON_SimpleArray< ON_Color > &)
bool | ReadArray (ON_SimpleArray< ON_2dPoint > &)
bool | ReadArray (ON_SimpleArray< ON_3dPoint > &)
bool | ReadArray (ON_SimpleArray< ON_4dPoint > &)
bool | ReadArray (ON_SimpleArray< ON_2dVector > &)
bool | ReadArray (ON_SimpleArray< ON_3dVector > &)
bool | ReadArray (ON_SimpleArray< ON_Xform > &)
bool | ReadArray (ON_SimpleArray< ON_2fPoint > &)
bool | ReadArray (ON_SimpleArray< ON_3fPoint > &)
bool | ReadArray (ON_SimpleArray< ON_4fPoint > &)
bool | ReadArray (ON_SimpleArray< ON_2fVector > &)
bool | ReadArray (ON_SimpleArray< ON_3fVector > &)
bool | ReadArray (ON_SimpleArray< ON_UUID > &)
bool | ReadArray (ON_SimpleArray< ON_UuidIndex > &)
bool | ReadArray (ON_SimpleArray< ON_SurfaceCurvature > &)
bool | ReadArray (ON_ClassArray< ON_String > &)
bool | ReadArray (ON_ClassArray< ON_wString > &)
bool | ReadArray (ON_SimpleArray< ON_DisplayMaterialRef > &)
bool | ReadArray (ON_SimpleArray< ON_LinetypeSegment > &)
bool | ReadArray (ON_SimpleArray< ON_MappingChannel > &)
bool | ReadArray (ON_ClassArray< ON_MaterialRef > &)
bool | ReadArray (ON_ClassArray< ON_MappingRef > &)
bool | ReadArray (ON_ClassArray< class ON_ObjRef > &)
bool | ReadArray (ON_SimpleArray< class ON_ObjRef_IRefID > &)
bool | ReadArray (ON_SimpleArray< class ON_ClippingPlaneInfo > &)
bool | ReadArray (ON_ObjectArray< class ON_Layer > &)
bool | ReadArray (ON_SimpleArray< class ON_Layer * > &)
bool | WriteBool (bool)
bool | WriteChar (std::size_t, const char *)
bool | WriteChar (std::size_t, const unsigned char *)
bool | WriteChar (char)
bool | WriteChar (unsigned char)
bool | WriteShort (std::size_t, const short *)
bool | WriteShort (std::size_t, const unsigned short *)
bool | WriteShort (short)
bool | WriteShort (unsigned short)
bool | WriteInt (std::size_t, const int *)
bool | WriteInt (std::size_t, const unsigned int *)
bool | WriteInt (int)
bool | WriteInt (unsigned int)
bool | WriteBigInt (std::size_t, const ON__INT64 *)
bool | WriteBigInt (std::size_t, const ON__UINT64 *)
bool | WriteBigInt (ON__INT64)
bool | WriteBigInt (ON__UINT64)
bool | WriteLong (std::size_t, const long *)
bool | WriteLong (std::size_t, const unsigned long *)
bool | WriteLong (long)
bool | WriteLong (unsigned long)
bool | WriteSize (std::size_t)
bool | WriteBigSize (std::size_t)
bool | WriteBigTime (time_t)
bool | WriteFloat (std::size_t, const float *)
bool | WriteFloat (float)
bool | WriteDouble (std::size_t, const double *)
bool | WriteDouble (double)
bool | WriteColor (const ON_Color &)
bool | WritePoint (const ON_2dPoint &)
bool | WritePoint (const ON_3dPoint &)
bool | WritePoint (const ON_4dPoint &)
bool | WriteVector (const ON_2dVector &)
bool | WriteVector (const ON_3dVector &)
bool | WriteBoundingBox (const ON_BoundingBox &)
bool | WriteXform (const ON_Xform &)
bool | WritePlaneEquation (const ON_PlaneEquation &)
bool | WritePlane (const ON_Plane &)
bool | WriteLine (const ON_Line &)
bool | WriteArc (const ON_Arc &)
bool | WriteCircle (const ON_Circle &)
bool | WriteInterval (const ON_Interval &)
bool | WriteUuid (const ON_UUID &)
bool | WriteDisplayMaterialRef (const ON_DisplayMaterialRef &)
bool | WriteLinetypeSegment (const ON_LinetypeSegment &)
bool | WriteTime (const struct tm &)
bool | WriteString (const char *sUTF8)
bool | WriteString (const unsigned char *sUTF8)
bool | WriteString (const unsigned short *sUTF16)
bool | WriteString (const ON_String &sUTF8)
bool | WriteString (const ON_wString &s)
bool | WriteComponentIndex (const ON_COMPONENT_INDEX &)
bool | WriteArray (const ON_SimpleArray< bool > &)
bool | WriteArray (const ON_SimpleArray< char > &)
bool | WriteArray (const ON_SimpleArray< short > &)
bool | WriteArray (const ON_SimpleArray< int > &)
bool | WriteArray (const ON_SimpleArray< float > &)
bool | WriteArray (const ON_SimpleArray< double > &)
bool | WriteArray (const ON_SimpleArray< ON_Color > &)
bool | WriteArray (const ON_SimpleArray< ON_2dPoint > &)
bool | WriteArray (const ON_SimpleArray< ON_3dPoint > &)
bool | WriteArray (const ON_SimpleArray< ON_4dPoint > &)
bool | WriteArray (const ON_SimpleArray< ON_2dVector > &)
bool | WriteArray (const ON_SimpleArray< ON_3dVector > &)
bool | WriteArray (const ON_SimpleArray< ON_2fPoint > &)
bool | WriteArray (const ON_SimpleArray< ON_3fPoint > &)
bool | WriteArray (const ON_SimpleArray< ON_4fPoint > &)
bool | WriteArray (const ON_SimpleArray< ON_2fVector > &)
bool | WriteArray (const ON_SimpleArray< ON_3fVector > &)
bool | WriteArray (const ON_SimpleArray< ON_Xform > &)
bool | WriteArray (const ON_SimpleArray< ON_UUID > &)
bool | WriteArray (const ON_SimpleArray< ON_UuidIndex > &)
bool | WriteArray (const ON_SimpleArray< ON_SurfaceCurvature > &)
bool | WriteArray (const ON_ClassArray< ON_String > &)
bool | WriteArray (const ON_ClassArray< ON_wString > &)
bool | WriteArray (const ON_SimpleArray< ON_DisplayMaterialRef > &)
bool | WriteArray (const ON_SimpleArray< ON_LinetypeSegment > &)
bool | WriteArray (const ON_SimpleArray< ON_MappingChannel > &)
bool | WriteArray (const ON_ClassArray< ON_MaterialRef > &)
bool | WriteArray (const ON_ClassArray< ON_MappingRef > &)
bool | WriteArray (const ON_ClassArray< class ON_ObjRef > &)
bool | WriteArray (const ON_SimpleArray< class ON_ObjRef_IRefID > &)
bool | WriteArray (const ON_SimpleArray< class ON_ClippingPlaneInfo > &)
bool | WriteArray (int count, const class ON_Layer *)
bool | WriteArray (int count, const class ON_Layer *const *)
int | ReadObject (ON_Object **ppObject)
int | ReadObject (ON_Object &object)
bool | WriteObject (const ON_Object *)
bool | WriteObject (const ON_Object &)
bool | EnableSave3dmRenderMeshes (ON_BOOL32=true)
bool | Save3dmRenderMeshes () const
bool | EnableSave3dmAnalysisMeshes (ON_BOOL32=true)
bool | Save3dmAnalysisMeshes () const
bool | EnableSaveUserData (ON_BOOL32=true)
bool | SaveUserData () const
bool | Write3dmStartSection (int version, const char *sStartSectionComment)
bool | Read3dmStartSection (int *version, ON_String &sStartSectionComment)
bool | Write3dmProperties (const ON_3dmProperties &)
bool | Read3dmProperties (ON_3dmProperties &)
bool | Write3dmSettings (const ON_3dmSettings &)
bool | Read3dmSettings (ON_3dmSettings &)
bool | BeginWrite3dmBitmapTable ()
bool | Write3dmBitmap (const ON_Bitmap &)
bool | EndWrite3dmBitmapTable ()
bool | BeginRead3dmBitmapTable ()
int | Read3dmBitmap (ON_Bitmap **)
bool | EndRead3dmBitmapTable ()
bool | BeginWrite3dmTextureMappingTable ()
bool | Write3dmTextureMapping (const ON_TextureMapping &)
bool | EndWrite3dmTextureMappingTable ()
bool | BeginRead3dmTextureMappingTable ()
int | Read3dmTextureMapping (ON_TextureMapping **)
bool | EndRead3dmTextureMappingTable ()
bool | BeginWrite3dmMaterialTable ()
bool | Write3dmMaterial (const ON_Material &)
bool | EndWrite3dmMaterialTable ()
bool | BeginRead3dmMaterialTable ()
int | Read3dmMaterial (ON_Material **)
bool | EndRead3dmMaterialTable ()
bool | BeginWrite3dmLinetypeTable ()
bool | Write3dmLinetype (const ON_Linetype &)
bool | EndWrite3dmLinetypeTable ()
bool | BeginRead3dmLinetypeTable ()
int | Read3dmLinetype (ON_Linetype **)
bool | EndRead3dmLinetypeTable ()
bool | BeginWrite3dmLayerTable ()
bool | Write3dmLayer (const ON_Layer &)
bool | EndWrite3dmLayerTable ()
bool | BeginRead3dmLayerTable ()
int | Read3dmLayer (ON_Layer **)
bool | EndRead3dmLayerTable ()
bool | BeginWrite3dmGroupTable ()
bool | Write3dmGroup (const ON_Group &)
bool | EndWrite3dmGroupTable ()
bool | BeginRead3dmGroupTable ()
int | Read3dmGroup (ON_Group **)
bool | EndRead3dmGroupTable ()
bool | BeginWrite3dmFontTable ()
bool | Write3dmFont (const ON_Font &)
bool | EndWrite3dmFontTable ()
bool | BeginRead3dmFontTable ()
int | Read3dmFont (ON_Font **)
bool | EndRead3dmFontTable ()
bool | BeginWrite3dmDimStyleTable ()
bool | Write3dmDimStyle (const ON_DimStyle &)
bool | EndWrite3dmDimStyleTable ()
bool | BeginRead3dmDimStyleTable ()
int | Read3dmDimStyle (ON_DimStyle **)
bool | EndRead3dmDimStyleTable ()
bool | BeginWrite3dmLightTable ()
bool | Write3dmLight (const ON_Light &, const ON_3dmObjectAttributes *)
bool | EndWrite3dmLightTable ()
bool | BeginRead3dmLightTable ()
int | Read3dmLight (ON_Light **, ON_3dmObjectAttributes *)
bool | EndRead3dmLightTable ()
bool | BeginWrite3dmHatchPatternTable ()
bool | Write3dmHatchPattern (const ON_HatchPattern &)
bool | EndWrite3dmHatchPatternTable ()
bool | BeginRead3dmHatchPatternTable ()
int | Read3dmHatchPattern (ON_HatchPattern **)
bool | EndRead3dmHatchPatternTable ()
bool | BeginWrite3dmInstanceDefinitionTable ()
bool | Write3dmInstanceDefinition (const ON_InstanceDefinition &)
bool | EndWrite3dmInstanceDefinitionTable ()
bool | BeginRead3dmInstanceDefinitionTable ()
int | Read3dmInstanceDefinition (ON_InstanceDefinition **)
bool | EndRead3dmInstanceDefinitionTable ()
bool | BeginWrite3dmObjectTable ()
bool | Write3dmObject (const ON_Object &, const ON_3dmObjectAttributes *)
bool | EndWrite3dmObjectTable ()
bool | BeginRead3dmObjectTable ()
int | Read3dmObject (ON_Object **, ON_3dmObjectAttributes *, unsigned int=0)
bool | EndRead3dmObjectTable ()
bool | BeginWrite3dmHistoryRecordTable ()
bool | Write3dmHistoryRecord (const class ON_HistoryRecord &)
bool | EndWrite3dmHistoryRecordTable ()
bool | BeginRead3dmHistoryRecordTable ()
int | Read3dmHistoryRecord (class ON_HistoryRecord *&)
bool | EndRead3dmHistoryRecordTable ()
bool | BeginWrite3dmUserTable (const ON_UUID &plugin_id, bool bSavingGoo, int goo_3dm_version, int goo_opennurbs_version)
bool | EndWrite3dmUserTable ()
bool | Write3dmAnonymousUserTableRecord (const ON_UUID &plugin_id, int goo_3dm_version, int goo_opennurbs_version, const ON_3dmGoo &goo)
ON_DEPRECATED bool | BeginWrite3dmUserTable (const ON_UUID &)
ON_DEPRECATED bool | Write3dmAnonymousUserTable (const ON_3dmGoo &)
bool | BeginRead3dmUserTable (ON_UUID &plugin_id, bool *bLastSavedAsGoo, int *archive_3dm_version, int *archive_opennurbs_version)
bool | Read3dmAnonymousUserTable (int archive_3dm_version, int archive_opennurbs_version, ON_3dmGoo &goo)
bool | EndRead3dmUserTable ()
ON_DEPRECATED bool | BeginRead3dmUserTable (ON_UUID &)
ON_DEPRECATED bool | Read3dmAnonymousUserTable (ON_3dmGoo &)
bool | Write3dmEndMark ()
bool | Read3dmEndMark (std::size_t *)
bool | BeginWrite3dmChunk (unsigned int, int)
bool | BeginWrite3dmBigChunk (ON__UINT32 typecode, ON__INT64 value)
bool | BeginWrite3dmChunk (unsigned int tcode, int major_version, int minor_version)
bool | EndWrite3dmChunk ()
bool | Write3dmGoo (const ON_3dmGoo &)
ON_DEPRECATED bool | BeginRead3dmChunk (unsigned int *, int *)
bool | BeginRead3dmBigChunk (unsigned int *, ON__INT64 *)
bool | BeginRead3dmChunk (unsigned int expected_tcode, int *major_version, int *minor_version)
bool | EndRead3dmChunk ()
bool | EndRead3dmChunk (bool bSupressPartiallyReadChunkWarning)
bool | BeginWriteDictionary (ON_UUID dictionary_id, unsigned int version, const wchar_t *dictionary_name)
bool | EndWriteDictionary ()
bool | BeginWriteDictionaryEntry (int de_type, const wchar_t *entry_name)
bool | EndWriteDictionaryEntry ()
bool | BeginReadDictionary (ON_UUID *dictionary_id, unsigned int *version, ON_wString &dictionary_name)
bool | EndReadDictionary ()
int | BeginReadDictionaryEntry (int *de_type, ON_wString &entry_name)
bool | EndReadDictionaryEntry ()
bool | Read3dmGoo (ON_3dmGoo &)
ON_DEPRECATED bool | PeekAt3dmChunkType (unsigned int *, int *)
bool | PeekAt3dmBigChunkType (ON__UINT32 *typecode, ON__INT64 *big_value)
bool | Seek3dmChunkFromStart (unsigned int)
bool | Seek3dmChunkFromCurrentPosition (unsigned int)
bool | Write3dmChunkVersion (int, int)
bool | Read3dmChunkVersion (int *, int *)
bool | WriteObjectUserData (const ON_Object &object)
bool | ReadObjectUserData (ON_Object &object)
int | Archive3dmVersion () const
int | ArchiveOpenNURBSVersion () const
std::size_t | ArchiveStartOffset () const
int | GetCurrentChunk (ON_3DM_CHUNK &chunk) const
int | GetCurrentChunk (ON_3DM_BIG_CHUNK &big_chunk) const
bool | FindTableInDamagedArchive (unsigned int tcode_table, unsigned int tcode_record, ON_UUID class_uuid, int min_length_data)
unsigned int | Dump3dmChunk (ON_TextLog &text_log, int recursion_depth=0)
bool | ReadV1_TCODE_RH_POINT (ON_Object **, ON_3dmObjectAttributes *)
bool | ReadV1_TCODE_MESH_OBJECT (ON_Object **, ON_3dmObjectAttributes *)
bool | ReadV1_TCODE_LEGACY_CRV (ON_Object **, ON_3dmObjectAttributes *)
bool | ReadV1_TCODE_LEGACY_FAC (ON_Object **, ON_3dmObjectAttributes *)
bool | ReadV1_TCODE_LEGACY_SHL (ON_Object **, ON_3dmObjectAttributes *)
bool | ReadV1_TCODE_RHINOIO_OBJECT_NURBS_CURVE (ON_Object **, ON_3dmObjectAttributes *)
bool | ReadV1_TCODE_RHINOIO_OBJECT_NURBS_SURFACE (ON_Object **, ON_3dmObjectAttributes *)
bool | ReadV1_TCODE_RHINOIO_OBJECT_BREP (ON_Object **, ON_3dmObjectAttributes *)
bool | ReadV1_TCODE_ANNOTATION (unsigned int, ON_Object **, ON_3dmObjectAttributes *)
std::size_t | SizeofChunkLength () const

## Static Public Member Functions

static bool | ToggleByteOrder (int, int, const void *, void *)
static const char * | TypecodeName (unsigned int tcode)
static char * | ON_TypecodeParse (unsigned int tcode, char *typecode_name, std::size_t max_length)
static int | CurrentArchiveVersion ()

## Protected Member Functions

virtual std::size_t | Read (std::size_t, void *)=0
virtual std::size_t | Write (std::size_t, const void *)=0
virtual bool | Flush ()=0
virtual int | LoadUserDataApplication (ON_UUID)
bool | SetArchive3dmVersion (int)
unsigned int | ErrorMessageMask () const
bool | MaskReadError (ON__UINT64 sizeof_request, ON__UINT64 sizeof_read) const

## Friends

void | ON_SetBinaryArchiveOpenNURBSVersion (ON_BinaryArchive &, int)

## Detailed Description

Definition at line 731 of file opennurbs_archive.h.

## Member Enumeration Documentation

## table_type

enum ON_BinaryArchive::table_type

Enumerator
no_active_table |
properties_table |
settings_table |
bitmap_table |
texture_mapping_table |
material_table |
linetype_table |
layer_table |
light_table |
object_table |
group_table |
font_table |
dimstyle_table |
hatchpattern_table |
instance_definition_table |
historyrecord_table |
user_table |

Definition at line 2381 of file opennurbs_archive.h.

## Constructor & Destructor Documentation

## ON_BinaryArchive()

ON_BinaryArchive::ON_BinaryArchive | ( | ON::archive_mode |  | ) |

Referenced by ON_SetBinaryArchiveOpenNURBSVersion.

## ~ON_BinaryArchive()

virtual ON_BinaryArchive::~ON_BinaryArchive | ( |  | ) |

virtual

## Member Function Documentation

## Archive3dmVersion()

int ON_BinaryArchive::Archive3dmVersion | ( |  | ) | const

## ArchiveOpenNURBSVersion()

int ON_BinaryArchive::ArchiveOpenNURBSVersion | ( |  | ) | const

## ArchiveStartOffset()

std::size_t ON_BinaryArchive::ArchiveStartOffset | ( |  | ) | const

## AtEnd()

virtual bool ON_BinaryArchive::AtEnd | ( |  | ) | const

pure virtual

Implemented in ON_BinaryArchiveBuffer, ON_BinaryFile, ON_Read3dmBufferArchive, and ON_Write3dmBufferArchive.

## BadCRCCount()

int ON_BinaryArchive::BadCRCCount | ( |  | ) | const

## BeginRead3dmBigChunk()

bool ON_BinaryArchive::BeginRead3dmBigChunk | ( | unsigned int * | ,
|  | ON__INT64 * | )

## BeginRead3dmBitmapTable()

bool ON_BinaryArchive::BeginRead3dmBitmapTable | ( |  | ) |

## BeginRead3dmChunk() [1/2]

ON_DEPRECATED bool ON_BinaryArchive::BeginRead3dmChunk | ( | unsigned int * | ,
|  | int * | )

## BeginRead3dmChunk() [2/2]

bool ON_BinaryArchive::BeginRead3dmChunk | ( | unsigned int | expected_tcode,
|  | int * | major_version,
|  | int * | minor_version )

## BeginRead3dmDimStyleTable()

bool ON_BinaryArchive::BeginRead3dmDimStyleTable | ( |  | ) |

## BeginRead3dmFontTable()

bool ON_BinaryArchive::BeginRead3dmFontTable | ( |  | ) |

## BeginRead3dmGroupTable()

bool ON_BinaryArchive::BeginRead3dmGroupTable | ( |  | ) |

## BeginRead3dmHatchPatternTable()

bool ON_BinaryArchive::BeginRead3dmHatchPatternTable | ( |  | ) |

## BeginRead3dmHistoryRecordTable()

bool ON_BinaryArchive::BeginRead3dmHistoryRecordTable | ( |  | ) |

## BeginRead3dmInstanceDefinitionTable()

bool ON_BinaryArchive::BeginRead3dmInstanceDefinitionTable | ( |  | ) |

## BeginRead3dmLayerTable()

bool ON_BinaryArchive::BeginRead3dmLayerTable | ( |  | ) |

## BeginRead3dmLightTable()

bool ON_BinaryArchive::BeginRead3dmLightTable | ( |  | ) |

## BeginRead3dmLinetypeTable()

bool ON_BinaryArchive::BeginRead3dmLinetypeTable | ( |  | ) |

## BeginRead3dmMaterialTable()

bool ON_BinaryArchive::BeginRead3dmMaterialTable | ( |  | ) |

## BeginRead3dmObjectTable()

bool ON_BinaryArchive::BeginRead3dmObjectTable | ( |  | ) |

## BeginRead3dmTextureMappingTable()

bool ON_BinaryArchive::BeginRead3dmTextureMappingTable | ( |  | ) |

## BeginRead3dmUserTable() [1/2]

ON_DEPRECATED bool ON_BinaryArchive::BeginRead3dmUserTable | ( | ON_UUID & |  | ) |

## BeginRead3dmUserTable() [2/2]

bool ON_BinaryArchive::BeginRead3dmUserTable | ( | ON_UUID & | plugin_id,
|  | bool * | bLastSavedAsGoo,
|  | int * | archive_3dm_version,
|  | int * | archive_opennurbs_version )

## BeginReadDictionary()

bool ON_BinaryArchive::BeginReadDictionary | ( | ON_UUID * | dictionary_id,
|  | unsigned int * | version,
|  | ON_wString & | dictionary_name )

## BeginReadDictionaryEntry()

int ON_BinaryArchive::BeginReadDictionaryEntry | ( | int * | de_type,
|  | ON_wString & | entry_name )

## BeginWrite3dmBigChunk()

bool ON_BinaryArchive::BeginWrite3dmBigChunk | ( | ON__UINT32 | typecode,
|  | ON__INT64 | value )

## BeginWrite3dmBitmapTable()

bool ON_BinaryArchive::BeginWrite3dmBitmapTable | ( |  | ) |

## BeginWrite3dmChunk() [1/2]

bool ON_BinaryArchive::BeginWrite3dmChunk | ( | unsigned int | tcode,
|  | int | major_version,
|  | int | minor_version )

## BeginWrite3dmChunk() [2/2]

bool ON_BinaryArchive::BeginWrite3dmChunk | ( | unsigned int | ,
|  | int | )

## BeginWrite3dmDimStyleTable()

bool ON_BinaryArchive::BeginWrite3dmDimStyleTable | ( |  | ) |

## BeginWrite3dmFontTable()

bool ON_BinaryArchive::BeginWrite3dmFontTable | ( |  | ) |

## BeginWrite3dmGroupTable()

bool ON_BinaryArchive::BeginWrite3dmGroupTable | ( |  | ) |

## BeginWrite3dmHatchPatternTable()

bool ON_BinaryArchive::BeginWrite3dmHatchPatternTable | ( |  | ) |

## BeginWrite3dmHistoryRecordTable()

bool ON_BinaryArchive::BeginWrite3dmHistoryRecordTable | ( |  | ) |

## BeginWrite3dmInstanceDefinitionTable()

bool ON_BinaryArchive::BeginWrite3dmInstanceDefinitionTable | ( |  | ) |

## BeginWrite3dmLayerTable()

bool ON_BinaryArchive::BeginWrite3dmLayerTable | ( |  | ) |

## BeginWrite3dmLightTable()

bool ON_BinaryArchive::BeginWrite3dmLightTable | ( |  | ) |

## BeginWrite3dmLinetypeTable()

bool ON_BinaryArchive::BeginWrite3dmLinetypeTable | ( |  | ) |

## BeginWrite3dmMaterialTable()

bool ON_BinaryArchive::BeginWrite3dmMaterialTable | ( |  | ) |

## BeginWrite3dmObjectTable()

bool ON_BinaryArchive::BeginWrite3dmObjectTable | ( |  | ) |

## BeginWrite3dmTextureMappingTable()

bool ON_BinaryArchive::BeginWrite3dmTextureMappingTable | ( |  | ) |

## BeginWrite3dmUserTable() [1/2]

ON_DEPRECATED bool ON_BinaryArchive::BeginWrite3dmUserTable | ( | const ON_UUID & |  | ) |

## BeginWrite3dmUserTable() [2/2]

bool ON_BinaryArchive::BeginWrite3dmUserTable | ( | const ON_UUID & | plugin_id,
|  | bool | bSavingGoo,
|  | int | goo_3dm_version,
|  | int | goo_opennurbs_version )

## BeginWriteDictionary()

bool ON_BinaryArchive::BeginWriteDictionary | ( | ON_UUID | dictionary_id,
|  | unsigned int | version,
|  | const wchar_t * | dictionary_name )

## BeginWriteDictionaryEntry()

bool ON_BinaryArchive::BeginWriteDictionaryEntry | ( | int | de_type,
|  | const wchar_t * | entry_name )

## BigSeekBackward()

bool ON_BinaryArchive::BigSeekBackward | ( | ON__UINT64 | offset | ) |

## BigSeekForward()

bool ON_BinaryArchive::BigSeekForward | ( | ON__UINT64 | offset | ) |

## BigSeekFromCurrentPosition()

bool ON_BinaryArchive::BigSeekFromCurrentPosition | ( | ON__INT64 | offset | ) |

## BigSeekFromStart()

bool ON_BinaryArchive::BigSeekFromStart | ( | ON__UINT64 | offset | ) |

## CurrentArchiveVersion()

int ON_BinaryArchive::CurrentArchiveVersion | ( |  | ) |

static

## CurrentPosition()

virtual std::size_t ON_BinaryArchive::CurrentPosition | ( |  | ) | const

pure virtual

Implemented in ON_BinaryArchiveBuffer, ON_BinaryFile, ON_Read3dmBufferArchive, and ON_Write3dmBufferArchive.

## Dump3dmChunk()

unsigned int ON_BinaryArchive::Dump3dmChunk | ( | ON_TextLog & | text_log,
|  | int | recursion_depth = 0 )

## EnableCRCCalculation()

bool ON_BinaryArchive::EnableCRCCalculation | ( | bool | bEnable | ) |

## EnableSave3dmAnalysisMeshes()

bool ON_BinaryArchive::EnableSave3dmAnalysisMeshes | ( | ON_BOOL32 | = true | ) |

## EnableSave3dmRenderMeshes()

bool ON_BinaryArchive::EnableSave3dmRenderMeshes | ( | ON_BOOL32 | = true | ) |

## EnableSaveUserData()

bool ON_BinaryArchive::EnableSaveUserData | ( | ON_BOOL32 | = true | ) |

## Endian()

ON::endian ON_BinaryArchive::Endian | ( |  | ) | const

## EndRead3dmBitmapTable()

bool ON_BinaryArchive::EndRead3dmBitmapTable | ( |  | ) |

## EndRead3dmChunk() [1/2]

bool ON_BinaryArchive::EndRead3dmChunk | ( |  | ) |

## EndRead3dmChunk() [2/2]

bool ON_BinaryArchive::EndRead3dmChunk | ( | bool | bSupressPartiallyReadChunkWarning | ) |

## EndRead3dmDimStyleTable()

bool ON_BinaryArchive::EndRead3dmDimStyleTable | ( |  | ) |

## EndRead3dmFontTable()

bool ON_BinaryArchive::EndRead3dmFontTable | ( |  | ) |

## EndRead3dmGroupTable()

bool ON_BinaryArchive::EndRead3dmGroupTable | ( |  | ) |

## EndRead3dmHatchPatternTable()

bool ON_BinaryArchive::EndRead3dmHatchPatternTable | ( |  | ) |

## EndRead3dmHistoryRecordTable()

bool ON_BinaryArchive::EndRead3dmHistoryRecordTable | ( |  | ) |

## EndRead3dmInstanceDefinitionTable()

bool ON_BinaryArchive::EndRead3dmInstanceDefinitionTable | ( |  | ) |

## EndRead3dmLayerTable()

bool ON_BinaryArchive::EndRead3dmLayerTable | ( |  | ) |

## EndRead3dmLightTable()

bool ON_BinaryArchive::EndRead3dmLightTable | ( |  | ) |

## EndRead3dmLinetypeTable()

bool ON_BinaryArchive::EndRead3dmLinetypeTable | ( |  | ) |

## EndRead3dmMaterialTable()

bool ON_BinaryArchive::EndRead3dmMaterialTable | ( |  | ) |

## EndRead3dmObjectTable()

bool ON_BinaryArchive::EndRead3dmObjectTable | ( |  | ) |

## EndRead3dmTextureMappingTable()

bool ON_BinaryArchive::EndRead3dmTextureMappingTable | ( |  | ) |

## EndRead3dmUserTable()

bool ON_BinaryArchive::EndRead3dmUserTable | ( |  | ) |

## EndReadDictionary()

bool ON_BinaryArchive::EndReadDictionary | ( |  | ) |

## EndReadDictionaryEntry()

bool ON_BinaryArchive::EndReadDictionaryEntry | ( |  | ) |

## EndWrite3dmBitmapTable()

bool ON_BinaryArchive::EndWrite3dmBitmapTable | ( |  | ) |

## EndWrite3dmChunk()

bool ON_BinaryArchive::EndWrite3dmChunk | ( |  | ) |

## EndWrite3dmDimStyleTable()

bool ON_BinaryArchive::EndWrite3dmDimStyleTable | ( |  | ) |

## EndWrite3dmFontTable()

bool ON_BinaryArchive::EndWrite3dmFontTable | ( |  | ) |

## EndWrite3dmGroupTable()

bool ON_BinaryArchive::EndWrite3dmGroupTable | ( |  | ) |

## EndWrite3dmHatchPatternTable()

bool ON_BinaryArchive::EndWrite3dmHatchPatternTable | ( |  | ) |

## EndWrite3dmHistoryRecordTable()

bool ON_BinaryArchive::EndWrite3dmHistoryRecordTable | ( |  | ) |

## EndWrite3dmInstanceDefinitionTable()

bool ON_BinaryArchive::EndWrite3dmInstanceDefinitionTable | ( |  | ) |

## EndWrite3dmLayerTable()

bool ON_BinaryArchive::EndWrite3dmLayerTable | ( |  | ) |

## EndWrite3dmLightTable()

bool ON_BinaryArchive::EndWrite3dmLightTable | ( |  | ) |

## EndWrite3dmLinetypeTable()

bool ON_BinaryArchive::EndWrite3dmLinetypeTable | ( |  | ) |

## EndWrite3dmMaterialTable()

bool ON_BinaryArchive::EndWrite3dmMaterialTable | ( |  | ) |

## EndWrite3dmObjectTable()

bool ON_BinaryArchive::EndWrite3dmObjectTable | ( |  | ) |

## EndWrite3dmTextureMappingTable()

bool ON_BinaryArchive::EndWrite3dmTextureMappingTable | ( |  | ) |

## EndWrite3dmUserTable()

bool ON_BinaryArchive::EndWrite3dmUserTable | ( |  | ) |

## EndWriteDictionary()

bool ON_BinaryArchive::EndWriteDictionary | ( |  | ) |

## EndWriteDictionaryEntry()

bool ON_BinaryArchive::EndWriteDictionaryEntry | ( |  | ) |

## ErrorMessageMask()

unsigned int ON_BinaryArchive::ErrorMessageMask | ( |  | ) | const

protected

## FindTableInDamagedArchive()

bool ON_BinaryArchive::FindTableInDamagedArchive | ( | unsigned int | tcode_table,
|  | unsigned int | tcode_record,
|  | ON_UUID | class_uuid,
|  | int | min_length_data )

## Flush()

virtual bool ON_BinaryArchive::Flush | ( |  | ) |

protected pure virtual

Implemented in ON_BinaryArchiveBuffer, ON_BinaryFile, ON_Read3dmBufferArchive, and ON_Write3dmBufferArchive.

## GetCurrentChunk() [1/2]

int ON_BinaryArchive::GetCurrentChunk | ( | ON_3DM_BIG_CHUNK & | big_chunk | ) | const

## GetCurrentChunk() [2/2]

int ON_BinaryArchive::GetCurrentChunk | ( | ON_3DM_CHUNK & | chunk | ) | const

## LoadUserDataApplication()

virtual int ON_BinaryArchive::LoadUserDataApplication | ( | ON_UUID |  | ) |

inline protected virtual

Definition at line 2499 of file opennurbs_archive.h.

## MaskReadError()

bool ON_BinaryArchive::MaskReadError | ( | ON__UINT64 | sizeof_request,
|  | ON__UINT64 | sizeof_read ) const

protected

## ON_TypecodeParse()

char * ON_BinaryArchive::ON_TypecodeParse | ( | unsigned int | tcode,
|  | char * | typecode_name,
|  | std::size_t | max_length )

static

## PeekAt3dmBigChunkType()

bool ON_BinaryArchive::PeekAt3dmBigChunkType | ( | ON__UINT32 * | typecode,
|  | ON__INT64 * | big_value )

## PeekAt3dmChunkType()

ON_DEPRECATED bool ON_BinaryArchive::PeekAt3dmChunkType | ( | unsigned int * | ,
|  | int * | )

## Read()

virtual std::size_t ON_BinaryArchive::Read | ( | std::size_t | ,
|  | void * | )

protected pure virtual

Implemented in ON_BinaryArchiveBuffer, ON_BinaryFile, ON_Read3dmBufferArchive, and ON_Write3dmBufferArchive.

## Read3dmAnonymousUserTable() [1/2]

bool ON_BinaryArchive::Read3dmAnonymousUserTable | ( | int | archive_3dm_version,
|  | int | archive_opennurbs_version,
|  | ON_3dmGoo & | goo )

## Read3dmAnonymousUserTable() [2/2]

ON_DEPRECATED bool ON_BinaryArchive::Read3dmAnonymousUserTable | ( | ON_3dmGoo & |  | ) |

## Read3dmBitmap()

int ON_BinaryArchive::Read3dmBitmap | ( | ON_Bitmap ** |  | ) |

## Read3dmChunkVersion()

bool ON_BinaryArchive::Read3dmChunkVersion | ( | int * | ,
|  | int * | )

## Read3dmDimStyle()

int ON_BinaryArchive::Read3dmDimStyle | ( | ON_DimStyle ** |  | ) |

## Read3dmEndMark()

bool ON_BinaryArchive::Read3dmEndMark | ( | std::size_t * |  | ) |

## Read3dmFont()

int ON_BinaryArchive::Read3dmFont | ( | ON_Font ** |  | ) |

## Read3dmGoo()

bool ON_BinaryArchive::Read3dmGoo | ( | ON_3dmGoo & |  | ) |

## Read3dmGroup()

int ON_BinaryArchive::Read3dmGroup | ( | ON_Group ** |  | ) |

## Read3dmHatchPattern()

int ON_BinaryArchive::Read3dmHatchPattern | ( | ON_HatchPattern ** |  | ) |

## Read3dmHistoryRecord()

int ON_BinaryArchive::Read3dmHistoryRecord | ( | class ON_HistoryRecord *& |  | ) |

## Read3dmInstanceDefinition()

int ON_BinaryArchive::Read3dmInstanceDefinition | ( | ON_InstanceDefinition ** |  | ) |

## Read3dmLayer()

int ON_BinaryArchive::Read3dmLayer | ( | ON_Layer ** |  | ) |

## Read3dmLight()

int ON_BinaryArchive::Read3dmLight | ( | ON_Light ** | ,
|  | ON_3dmObjectAttributes * | )

## Read3dmLinetype()

int ON_BinaryArchive::Read3dmLinetype | ( | ON_Linetype ** |  | ) |

## Read3dmMaterial()

int ON_BinaryArchive::Read3dmMaterial | ( | ON_Material ** |  | ) |

## Read3dmObject()

int ON_BinaryArchive::Read3dmObject | ( | ON_Object ** | ,
|  | ON_3dmObjectAttributes * | ,
|  | unsigned int | = 0 )

## Read3dmProperties()

bool ON_BinaryArchive::Read3dmProperties | ( | ON_3dmProperties & |  | ) |

## Read3dmSettings()

bool ON_BinaryArchive::Read3dmSettings | ( | ON_3dmSettings & |  | ) |

## Read3dmStartSection()

bool ON_BinaryArchive::Read3dmStartSection | ( | int * | version,
|  | ON_String & | sStartSectionComment )

## Read3dmTextureMapping()

int ON_BinaryArchive::Read3dmTextureMapping | ( | ON_TextureMapping ** |  | ) |

## ReadArc()

bool ON_BinaryArchive::ReadArc | ( | ON_Arc & |  | ) |

## ReadArray() [1/33]

bool ON_BinaryArchive::ReadArray | ( | ON_ClassArray< class ON_ObjRef > & |  | ) |

## ReadArray() [2/33]

bool ON_BinaryArchive::ReadArray | ( | ON_ClassArray< ON_MappingRef > & |  | ) |

## ReadArray() [3/33]

bool ON_BinaryArchive::ReadArray | ( | ON_ClassArray< ON_MaterialRef > & |  | ) |

## ReadArray() [4/33]

bool ON_BinaryArchive::ReadArray | ( | ON_ClassArray< ON_String > & |  | ) |

## ReadArray() [5/33]

bool ON_BinaryArchive::ReadArray | ( | ON_ClassArray< ON_wString > & |  | ) |

## ReadArray() [6/33]

bool ON_BinaryArchive::ReadArray | ( | ON_ObjectArray< class ON_Layer > & |  | ) |

## ReadArray() [7/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< bool > & |  | ) |

## ReadArray() [8/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< char > & |  | ) |

## ReadArray() [9/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< class ON_ClippingPlaneInfo > & |  | ) |

## ReadArray() [10/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< class ON_Layer * > & |  | ) |

## ReadArray() [11/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< class ON_ObjRef_IRefID > & |  | ) |

## ReadArray() [12/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< double > & |  | ) |

## ReadArray() [13/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< float > & |  | ) |

## ReadArray() [14/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< int > & |  | ) |

## ReadArray() [15/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< ON_2dPoint > & |  | ) |

## ReadArray() [16/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< ON_2dVector > & |  | ) |

## ReadArray() [17/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< ON_2fPoint > & |  | ) |

## ReadArray() [18/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< ON_2fVector > & |  | ) |

## ReadArray() [19/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< ON_3dPoint > & |  | ) |

## ReadArray() [20/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< ON_3dVector > & |  | ) |

## ReadArray() [21/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< ON_3fPoint > & |  | ) |

## ReadArray() [22/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< ON_3fVector > & |  | ) |

## ReadArray() [23/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< ON_4dPoint > & |  | ) |

## ReadArray() [24/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< ON_4fPoint > & |  | ) |

## ReadArray() [25/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< ON_Color > & |  | ) |

## ReadArray() [26/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< ON_DisplayMaterialRef > & |  | ) |

## ReadArray() [27/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< ON_LinetypeSegment > & |  | ) |

## ReadArray() [28/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< ON_MappingChannel > & |  | ) |

## ReadArray() [29/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< ON_SurfaceCurvature > & |  | ) |

## ReadArray() [30/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< ON_UUID > & |  | ) |

## ReadArray() [31/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< ON_UuidIndex > & |  | ) |

## ReadArray() [32/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< ON_Xform > & |  | ) |

## ReadArray() [33/33]

bool ON_BinaryArchive::ReadArray | ( | ON_SimpleArray< short > & |  | ) |

## ReadBigInt() [1/4]

bool ON_BinaryArchive::ReadBigInt | ( | ON__INT64 * |  | ) |

## ReadBigInt() [2/4]

bool ON_BinaryArchive::ReadBigInt | ( | ON__UINT64 * |  | ) |

## ReadBigInt() [3/4]

bool ON_BinaryArchive::ReadBigInt | ( | std::size_t | ,
|  | ON__INT64 * | )

## ReadBigInt() [4/4]

bool ON_BinaryArchive::ReadBigInt | ( | std::size_t | ,
|  | ON__UINT64 * | )

## ReadBigSize()

bool ON_BinaryArchive::ReadBigSize | ( | std::size_t * |  | ) |

## ReadBigTime()

bool ON_BinaryArchive::ReadBigTime | ( | time_t * |  | ) |

## ReadBool()

bool ON_BinaryArchive::ReadBool | ( | bool * |  | ) |

## ReadBoundingBox()

bool ON_BinaryArchive::ReadBoundingBox | ( | ON_BoundingBox & |  | ) |

## ReadBuffer()

ON__UINT64 ON_BinaryArchive::ReadBuffer | ( | ON__UINT64 | sizeof_buffer,
|  | void * | buffer )

References buffer.

## ReadByte()

bool ON_BinaryArchive::ReadByte | ( | std::size_t | ,
|  | void * | )

## ReadChar() [1/4]

bool ON_BinaryArchive::ReadChar | ( | char * |  | ) |

## ReadChar() [2/4]

bool ON_BinaryArchive::ReadChar | ( | std::size_t | ,
|  | char * | )

## ReadChar() [3/4]

bool ON_BinaryArchive::ReadChar | ( | std::size_t | ,
|  | unsigned char * | )

## ReadChar() [4/4]

bool ON_BinaryArchive::ReadChar | ( | unsigned char * |  | ) |

## ReadCircle()

bool ON_BinaryArchive::ReadCircle | ( | ON_Circle & |  | ) |

## ReadColor()

bool ON_BinaryArchive::ReadColor | ( | ON_Color & |  | ) |

## ReadComponentIndex()

bool ON_BinaryArchive::ReadComponentIndex | ( | ON_COMPONENT_INDEX & |  | ) |

## ReadCompressedBuffer()

bool ON_BinaryArchive::ReadCompressedBuffer | ( | std::size_t | sizeof__outbuffer,
|  | void * | outbuffer,
|  | int * | bFailedCRC )

## ReadCompressedBufferSize()

bool ON_BinaryArchive::ReadCompressedBufferSize | ( | std::size_t * | sizeof__outbuffer | ) |

## ReadDisplayMaterialRef()

bool ON_BinaryArchive::ReadDisplayMaterialRef | ( | ON_DisplayMaterialRef & |  | ) |

## ReadDouble() [1/2]

bool ON_BinaryArchive::ReadDouble | ( | double * |  | ) |

## ReadDouble() [2/2]

bool ON_BinaryArchive::ReadDouble | ( | std::size_t | ,
|  | double * | )

## ReadFloat() [1/2]

bool ON_BinaryArchive::ReadFloat | ( | float * |  | ) |

## ReadFloat() [2/2]

bool ON_BinaryArchive::ReadFloat | ( | std::size_t | ,
|  | float * | )

## ReadInt() [1/4]

bool ON_BinaryArchive::ReadInt | ( | int * |  | ) |

## ReadInt() [2/4]

bool ON_BinaryArchive::ReadInt | ( | std::size_t | ,
|  | int * | )

## ReadInt() [3/4]

bool ON_BinaryArchive::ReadInt | ( | std::size_t | ,
|  | unsigned int * | )

## ReadInt() [4/4]

bool ON_BinaryArchive::ReadInt | ( | unsigned int * |  | ) |

## ReadInterval()

bool ON_BinaryArchive::ReadInterval | ( | ON_Interval & |  | ) |

## ReadLine()

bool ON_BinaryArchive::ReadLine | ( | ON_Line & |  | ) |

## ReadLinetypeSegment()

bool ON_BinaryArchive::ReadLinetypeSegment | ( | ON_LinetypeSegment & |  | ) |

## ReadLong() [1/4]

bool ON_BinaryArchive::ReadLong | ( | long * |  | ) |

## ReadLong() [2/4]

bool ON_BinaryArchive::ReadLong | ( | std::size_t | ,
|  | long * | )

## ReadLong() [3/4]

bool ON_BinaryArchive::ReadLong | ( | std::size_t | ,
|  | unsigned long * | )

## ReadLong() [4/4]

bool ON_BinaryArchive::ReadLong | ( | unsigned long * |  | ) |

## ReadMode()

bool ON_BinaryArchive::ReadMode | ( |  | ) | const

## ReadObject() [1/2]

int ON_BinaryArchive::ReadObject | ( | ON_Object & | object | ) |

## ReadObject() [2/2]

int ON_BinaryArchive::ReadObject | ( | ON_Object ** | ppObject | ) |

## ReadObjectUserData()

bool ON_BinaryArchive::ReadObjectUserData | ( | ON_Object & | object | ) |

## ReadPlane()

bool ON_BinaryArchive::ReadPlane | ( | ON_Plane & |  | ) |

## ReadPlaneEquation()

bool ON_BinaryArchive::ReadPlaneEquation | ( | ON_PlaneEquation & |  | ) |

## ReadPoint() [1/3]

bool ON_BinaryArchive::ReadPoint | ( | ON_2dPoint & |  | ) |

## ReadPoint() [2/3]

bool ON_BinaryArchive::ReadPoint | ( | ON_3dPoint & |  | ) |

## ReadPoint() [3/3]

bool ON_BinaryArchive::ReadPoint | ( | ON_4dPoint & |  | ) |

## ReadShort() [1/4]

bool ON_BinaryArchive::ReadShort | ( | short * |  | ) |

## ReadShort() [2/4]

bool ON_BinaryArchive::ReadShort | ( | std::size_t | ,
|  | short * | )

## ReadShort() [3/4]

bool ON_BinaryArchive::ReadShort | ( | std::size_t | ,
|  | unsigned short * | )

## ReadShort() [4/4]

bool ON_BinaryArchive::ReadShort | ( | unsigned short * |  | ) |

## ReadSize()

bool ON_BinaryArchive::ReadSize | ( | std::size_t * |  | ) |

## ReadString() [1/5]

bool ON_BinaryArchive::ReadString | ( | ON_String & | sUTF8 | ) |

## ReadString() [2/5]

bool ON_BinaryArchive::ReadString | ( | ON_wString & | s | ) |

## ReadString() [3/5]

bool ON_BinaryArchive::ReadString | ( | std::size_t | str_array_count,
|  | char * | str_array )

## ReadString() [4/5]

bool ON_BinaryArchive::ReadString | ( | std::size_t | str_array_count,
|  | unsigned char * | str_array )

## ReadString() [5/5]

bool ON_BinaryArchive::ReadString | ( | std::size_t | str_array_count,
|  | unsigned short * | str_array )

## ReadStringSize()

ON_DEPRECATED bool ON_BinaryArchive::ReadStringSize | ( | std::size_t * | str_array_count | ) |

## ReadStringUTF16ElementCount()

bool ON_BinaryArchive::ReadStringUTF16ElementCount | ( | std::size_t * | string_utf16_element_count | ) |

## ReadStringUTF8ElementCount()

bool ON_BinaryArchive::ReadStringUTF8ElementCount | ( | std::size_t * | string_utf8_element_count | ) |

## ReadTime()

bool ON_BinaryArchive::ReadTime | ( | struct tm & |  | ) |

## ReadUuid()

bool ON_BinaryArchive::ReadUuid | ( | ON_UUID & |  | ) |

## ReadV1_TCODE_ANNOTATION()

bool ON_BinaryArchive::ReadV1_TCODE_ANNOTATION | ( | unsigned int | ,
|  | ON_Object ** | ,
|  | ON_3dmObjectAttributes * | )

## ReadV1_TCODE_LEGACY_CRV()

bool ON_BinaryArchive::ReadV1_TCODE_LEGACY_CRV | ( | ON_Object ** | ,
|  | ON_3dmObjectAttributes * | )

## ReadV1_TCODE_LEGACY_FAC()

bool ON_BinaryArchive::ReadV1_TCODE_LEGACY_FAC | ( | ON_Object ** | ,
|  | ON_3dmObjectAttributes * | )

## ReadV1_TCODE_LEGACY_SHL()

bool ON_BinaryArchive::ReadV1_TCODE_LEGACY_SHL | ( | ON_Object ** | ,
|  | ON_3dmObjectAttributes * | )

## ReadV1_TCODE_MESH_OBJECT()

bool ON_BinaryArchive::ReadV1_TCODE_MESH_OBJECT | ( | ON_Object ** | ,
|  | ON_3dmObjectAttributes * | )

## ReadV1_TCODE_RH_POINT()

bool ON_BinaryArchive::ReadV1_TCODE_RH_POINT | ( | ON_Object ** | ,
|  | ON_3dmObjectAttributes * | )

## ReadV1_TCODE_RHINOIO_OBJECT_BREP()

bool ON_BinaryArchive::ReadV1_TCODE_RHINOIO_OBJECT_BREP | ( | ON_Object ** | ,
|  | ON_3dmObjectAttributes * | )

## ReadV1_TCODE_RHINOIO_OBJECT_NURBS_CURVE()

bool ON_BinaryArchive::ReadV1_TCODE_RHINOIO_OBJECT_NURBS_CURVE | ( | ON_Object ** | ,
|  | ON_3dmObjectAttributes * | )

## ReadV1_TCODE_RHINOIO_OBJECT_NURBS_SURFACE()

bool ON_BinaryArchive::ReadV1_TCODE_RHINOIO_OBJECT_NURBS_SURFACE | ( | ON_Object ** | ,
|  | ON_3dmObjectAttributes * | )

## ReadVector() [1/2]

bool ON_BinaryArchive::ReadVector | ( | ON_2dVector & |  | ) |

## ReadVector() [2/2]

bool ON_BinaryArchive::ReadVector | ( | ON_3dVector & |  | ) |

## ReadXform()

bool ON_BinaryArchive::ReadXform | ( | ON_Xform & |  | ) |

## Save3dmAnalysisMeshes()

bool ON_BinaryArchive::Save3dmAnalysisMeshes | ( |  | ) | const

## Save3dmRenderMeshes()

bool ON_BinaryArchive::Save3dmRenderMeshes | ( |  | ) | const

## SaveUserData()

bool ON_BinaryArchive::SaveUserData | ( |  | ) | const

## Seek3dmChunkFromCurrentPosition()

bool ON_BinaryArchive::Seek3dmChunkFromCurrentPosition | ( | unsigned int |  | ) |

## Seek3dmChunkFromStart()

bool ON_BinaryArchive::Seek3dmChunkFromStart | ( | unsigned int |  | ) |

## SeekFromCurrentPosition()

virtual bool ON_BinaryArchive::SeekFromCurrentPosition | ( | int |  | ) |

pure virtual

Implemented in ON_BinaryArchiveBuffer, ON_BinaryFile, ON_Read3dmBufferArchive, and ON_Write3dmBufferArchive.

## SeekFromStart()

virtual bool ON_BinaryArchive::SeekFromStart | ( | std::size_t |  | ) |

pure virtual

Implemented in ON_BinaryArchiveBuffer, ON_BinaryFile, ON_Read3dmBufferArchive, and ON_Write3dmBufferArchive.

## SetArchive3dmVersion()

bool ON_BinaryArchive::SetArchive3dmVersion | ( | int |  | ) |

protected

## SizeofChunkLength()

std::size_t ON_BinaryArchive::SizeofChunkLength | ( |  | ) | const

## ToggleByteOrder()

bool ON_BinaryArchive::ToggleByteOrder | ( | int | ,
|  | int | ,
|  | const void * | ,
|  | void * | )

static

## TypecodeName()

const char * ON_BinaryArchive::TypecodeName | ( | unsigned int | tcode | ) |

static

## Write()

virtual std::size_t ON_BinaryArchive::Write | ( | std::size_t | ,
|  | const void * | )

protected pure virtual

Implemented in ON_BinaryArchiveBuffer, ON_BinaryFile, ON_Read3dmBufferArchive, and ON_Write3dmBufferArchive.

## Write3dmAnonymousUserTable()

ON_DEPRECATED bool ON_BinaryArchive::Write3dmAnonymousUserTable | ( | const ON_3dmGoo & |  | ) |

## Write3dmAnonymousUserTableRecord()

bool ON_BinaryArchive::Write3dmAnonymousUserTableRecord | ( | const ON_UUID & | plugin_id,
|  | int | goo_3dm_version,
|  | int | goo_opennurbs_version,
|  | const ON_3dmGoo & | goo )

## Write3dmBitmap()

bool ON_BinaryArchive::Write3dmBitmap | ( | const ON_Bitmap & |  | ) |

## Write3dmChunkVersion()

bool ON_BinaryArchive::Write3dmChunkVersion | ( | int | ,
|  | int | )

## Write3dmDimStyle()

bool ON_BinaryArchive::Write3dmDimStyle | ( | const ON_DimStyle & |  | ) |

## Write3dmEndMark()

bool ON_BinaryArchive::Write3dmEndMark | ( |  | ) |

## Write3dmFont()

bool ON_BinaryArchive::Write3dmFont | ( | const ON_Font & |  | ) |

## Write3dmGoo()

bool ON_BinaryArchive::Write3dmGoo | ( | const ON_3dmGoo & |  | ) |

## Write3dmGroup()

bool ON_BinaryArchive::Write3dmGroup | ( | const ON_Group & |  | ) |

## Write3dmHatchPattern()

bool ON_BinaryArchive::Write3dmHatchPattern | ( | const ON_HatchPattern & |  | ) |

## Write3dmHistoryRecord()

bool ON_BinaryArchive::Write3dmHistoryRecord | ( | const class ON_HistoryRecord & |  | ) |

## Write3dmInstanceDefinition()

bool ON_BinaryArchive::Write3dmInstanceDefinition | ( | const ON_InstanceDefinition & |  | ) |

## Write3dmLayer()

bool ON_BinaryArchive::Write3dmLayer | ( | const ON_Layer & |  | ) |

## Write3dmLight()

bool ON_BinaryArchive::Write3dmLight | ( | const ON_Light & | ,
|  | const ON_3dmObjectAttributes * | )

## Write3dmLinetype()

bool ON_BinaryArchive::Write3dmLinetype | ( | const ON_Linetype & |  | ) |

## Write3dmMaterial()

bool ON_BinaryArchive::Write3dmMaterial | ( | const ON_Material & |  | ) |

## Write3dmObject()

bool ON_BinaryArchive::Write3dmObject | ( | const ON_Object & | ,
|  | const ON_3dmObjectAttributes * | )

## Write3dmProperties()

bool ON_BinaryArchive::Write3dmProperties | ( | const ON_3dmProperties & |  | ) |

## Write3dmSettings()

bool ON_BinaryArchive::Write3dmSettings | ( | const ON_3dmSettings & |  | ) |

## Write3dmStartSection()

bool ON_BinaryArchive::Write3dmStartSection | ( | int | version,
|  | const char * | sStartSectionComment )

## Write3dmTextureMapping()

bool ON_BinaryArchive::Write3dmTextureMapping | ( | const ON_TextureMapping & |  | ) |

## WriteArc()

bool ON_BinaryArchive::WriteArc | ( | const ON_Arc & |  | ) |

## WriteArray() [1/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_ClassArray< class ON_ObjRef > & |  | ) |

## WriteArray() [2/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_ClassArray< ON_MappingRef > & |  | ) |

## WriteArray() [3/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_ClassArray< ON_MaterialRef > & |  | ) |

## WriteArray() [4/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_ClassArray< ON_String > & |  | ) |

## WriteArray() [5/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_ClassArray< ON_wString > & |  | ) |

## WriteArray() [6/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< bool > & |  | ) |

## WriteArray() [7/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< char > & |  | ) |

## WriteArray() [8/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< class ON_ClippingPlaneInfo > & |  | ) |

## WriteArray() [9/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< class ON_ObjRef_IRefID > & |  | ) |

## WriteArray() [10/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< double > & |  | ) |

## WriteArray() [11/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< float > & |  | ) |

## WriteArray() [12/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< int > & |  | ) |

## WriteArray() [13/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< ON_2dPoint > & |  | ) |

## WriteArray() [14/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< ON_2dVector > & |  | ) |

## WriteArray() [15/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< ON_2fPoint > & |  | ) |

## WriteArray() [16/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< ON_2fVector > & |  | ) |

## WriteArray() [17/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< ON_3dPoint > & |  | ) |

## WriteArray() [18/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< ON_3dVector > & |  | ) |

## WriteArray() [19/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< ON_3fPoint > & |  | ) |

## WriteArray() [20/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< ON_3fVector > & |  | ) |

## WriteArray() [21/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< ON_4dPoint > & |  | ) |

## WriteArray() [22/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< ON_4fPoint > & |  | ) |

## WriteArray() [23/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< ON_Color > & |  | ) |

## WriteArray() [24/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< ON_DisplayMaterialRef > & |  | ) |

## WriteArray() [25/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< ON_LinetypeSegment > & |  | ) |

## WriteArray() [26/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< ON_MappingChannel > & |  | ) |

## WriteArray() [27/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< ON_SurfaceCurvature > & |  | ) |

## WriteArray() [28/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< ON_UUID > & |  | ) |

## WriteArray() [29/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< ON_UuidIndex > & |  | ) |

## WriteArray() [30/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< ON_Xform > & |  | ) |

## WriteArray() [31/33]

bool ON_BinaryArchive::WriteArray | ( | const ON_SimpleArray< short > & |  | ) |

## WriteArray() [32/33]

bool ON_BinaryArchive::WriteArray | ( | int | count,
|  | const class ON_Layer * | )

## WriteArray() [33/33]

bool ON_BinaryArchive::WriteArray | ( | int | count,
|  | const class ON_Layer *const * | )

## WriteBigInt() [1/4]

bool ON_BinaryArchive::WriteBigInt | ( | ON__INT64 |  | ) |

## WriteBigInt() [2/4]

bool ON_BinaryArchive::WriteBigInt | ( | ON__UINT64 |  | ) |

## WriteBigInt() [3/4]

bool ON_BinaryArchive::WriteBigInt | ( | std::size_t | ,
|  | const ON__INT64 * | )

## WriteBigInt() [4/4]

bool ON_BinaryArchive::WriteBigInt | ( | std::size_t | ,
|  | const ON__UINT64 * | )

## WriteBigSize()

bool ON_BinaryArchive::WriteBigSize | ( | std::size_t |  | ) |

## WriteBigTime()

bool ON_BinaryArchive::WriteBigTime | ( | time_t |  | ) |

## WriteBool()

bool ON_BinaryArchive::WriteBool | ( | bool |  | ) |

## WriteBoundingBox()

bool ON_BinaryArchive::WriteBoundingBox | ( | const ON_BoundingBox & |  | ) |

## WriteByte()

bool ON_BinaryArchive::WriteByte | ( | std::size_t | ,
|  | const void * | )

## WriteChar() [1/4]

bool ON_BinaryArchive::WriteChar | ( | char |  | ) |

## WriteChar() [2/4]

bool ON_BinaryArchive::WriteChar | ( | std::size_t | ,
|  | const char * | )

## WriteChar() [3/4]

bool ON_BinaryArchive::WriteChar | ( | std::size_t | ,
|  | const unsigned char * | )

## WriteChar() [4/4]

bool ON_BinaryArchive::WriteChar | ( | unsigned char |  | ) |

## WriteCircle()

bool ON_BinaryArchive::WriteCircle | ( | const ON_Circle & |  | ) |

## WriteColor()

bool ON_BinaryArchive::WriteColor | ( | const ON_Color & |  | ) |

## WriteComponentIndex()

bool ON_BinaryArchive::WriteComponentIndex | ( | const ON_COMPONENT_INDEX & |  | ) |

## WriteCompressedBuffer()

bool ON_BinaryArchive::WriteCompressedBuffer | ( | std::size_t | sizeof__inbuffer,
|  | const void * | inbuffer )

## WriteDisplayMaterialRef()

bool ON_BinaryArchive::WriteDisplayMaterialRef | ( | const ON_DisplayMaterialRef & |  | ) |

## WriteDouble() [1/2]

bool ON_BinaryArchive::WriteDouble | ( | double |  | ) |

## WriteDouble() [2/2]

bool ON_BinaryArchive::WriteDouble | ( | std::size_t | ,
|  | const double * | )

## WriteFloat() [1/2]

bool ON_BinaryArchive::WriteFloat | ( | float |  | ) |

## WriteFloat() [2/2]

bool ON_BinaryArchive::WriteFloat | ( | std::size_t | ,
|  | const float * | )

## WriteInt() [1/4]

bool ON_BinaryArchive::WriteInt | ( | int |  | ) |

## WriteInt() [2/4]

bool ON_BinaryArchive::WriteInt | ( | std::size_t | ,
|  | const int * | )

## WriteInt() [3/4]

bool ON_BinaryArchive::WriteInt | ( | std::size_t | ,
|  | const unsigned int * | )

## WriteInt() [4/4]

bool ON_BinaryArchive::WriteInt | ( | unsigned int |  | ) |

## WriteInterval()

bool ON_BinaryArchive::WriteInterval | ( | const ON_Interval & |  | ) |

## WriteLine()

bool ON_BinaryArchive::WriteLine | ( | const ON_Line & |  | ) |

## WriteLinetypeSegment()

bool ON_BinaryArchive::WriteLinetypeSegment | ( | const ON_LinetypeSegment & |  | ) |

## WriteLong() [1/4]

bool ON_BinaryArchive::WriteLong | ( | long |  | ) |

## WriteLong() [2/4]

bool ON_BinaryArchive::WriteLong | ( | std::size_t | ,
|  | const long * | )

## WriteLong() [3/4]

bool ON_BinaryArchive::WriteLong | ( | std::size_t | ,
|  | const unsigned long * | )

## WriteLong() [4/4]

bool ON_BinaryArchive::WriteLong | ( | unsigned long |  | ) |

## WriteMode()

bool ON_BinaryArchive::WriteMode | ( |  | ) | const

## WriteObject() [1/2]

bool ON_BinaryArchive::WriteObject | ( | const ON_Object & |  | ) |

## WriteObject() [2/2]

bool ON_BinaryArchive::WriteObject | ( | const ON_Object * |  | ) |

## WriteObjectUserData()

bool ON_BinaryArchive::WriteObjectUserData | ( | const ON_Object & | object | ) |

## WritePlane()

bool ON_BinaryArchive::WritePlane | ( | const ON_Plane & |  | ) |

## WritePlaneEquation()

bool ON_BinaryArchive::WritePlaneEquation | ( | const ON_PlaneEquation & |  | ) |

## WritePoint() [1/3]

bool ON_BinaryArchive::WritePoint | ( | const ON_2dPoint & |  | ) |

## WritePoint() [2/3]

bool ON_BinaryArchive::WritePoint | ( | const ON_3dPoint & |  | ) |

## WritePoint() [3/3]

bool ON_BinaryArchive::WritePoint | ( | const ON_4dPoint & |  | ) |

## WriteShort() [1/4]

bool ON_BinaryArchive::WriteShort | ( | short |  | ) |

## WriteShort() [2/4]

bool ON_BinaryArchive::WriteShort | ( | std::size_t | ,
|  | const short * | )

## WriteShort() [3/4]

bool ON_BinaryArchive::WriteShort | ( | std::size_t | ,
|  | const unsigned short * | )

## WriteShort() [4/4]

bool ON_BinaryArchive::WriteShort | ( | unsigned short |  | ) |

## WriteSize()

bool ON_BinaryArchive::WriteSize | ( | std::size_t |  | ) |

## WriteString() [1/5]

bool ON_BinaryArchive::WriteString | ( | const char * | sUTF8 | ) |

## WriteString() [2/5]

bool ON_BinaryArchive::WriteString | ( | const ON_String & | sUTF8 | ) |

## WriteString() [3/5]

bool ON_BinaryArchive::WriteString | ( | const ON_wString & | s | ) |

## WriteString() [4/5]

bool ON_BinaryArchive::WriteString | ( | const unsigned char * | sUTF8 | ) |

## WriteString() [5/5]

bool ON_BinaryArchive::WriteString | ( | const unsigned short * | sUTF16 | ) |

## WriteTime()

bool ON_BinaryArchive::WriteTime | ( | const struct tm & |  | ) |

## WriteUuid()

bool ON_BinaryArchive::WriteUuid | ( | const ON_UUID & |  | ) |

## WriteVector() [1/2]

bool ON_BinaryArchive::WriteVector | ( | const ON_2dVector & |  | ) |

## WriteVector() [2/2]

bool ON_BinaryArchive::WriteVector | ( | const ON_3dVector & |  | ) |

## WriteXform()

bool ON_BinaryArchive::WriteXform | ( | const ON_Xform & |  | ) |

## Friends And Related Symbol Documentation

## ON_SetBinaryArchiveOpenNURBSVersion

void ON_SetBinaryArchiveOpenNURBSVersion | ( | ON_BinaryArchive & | ,
|  | int | )

friend

References ON_BinaryArchive().

## Member Data Documentation

## buffer

unsigned char ON_BinaryArchive::buffer[sizeof_x_buffer]

Definition at line 2692 of file opennurbs_archive.h.

Referenced by ON_BinaryArchiveBuffer::ON_BinaryArchiveBuffer(), ON_Read3dmBufferArchive::ON_Read3dmBufferArchive(), ReadBuffer(), and ON_BinaryArchiveBuffer::SetBuffer().

## mode

ON::archive_mode ON_BinaryArchive::mode

Definition at line 2687 of file opennurbs_archive.h.

## strm

z_stream ON_BinaryArchive::strm

Definition at line 2693 of file opennurbs_archive.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_archive.h